<template>
  <div>
    <base-breadcrumbs v-once :titles="createCrumbs" />

    <div class="category-wrapper">
      <div class="container d-flex flex-column flex-md-row">
        <div class="category-image">
          <img :src="detail_img" :alt="title" />
        </div>
        <div class="category-info">
          <div class="category-title">
            <h2>{{ name }}</h2>
          </div>
          <div class="category-description">
            <p>{{ description }}</p>
          </div>
        </div>
      </div>
    </div>

    <div class="container">
      <div class="content">
        <div class="row">
          <div class="col-12">
            <div class="product-list row">
              <div
                v-for="product in showrooms"
                :key="product.id"
                class="col-6 col-md-4 col-lg-3"
              >
                <product-card v-bind="product" />
              </div>
            </div>
          </div>
        </div>
      </div>
      <related-content :slides="items" />
    </div>
  </div>
</template>

<script>
import { TypesGlobal } from '@/constants/store.types'
const ProductCard = () => import('@/components/product/ProductCard.vue')

export default {
  name: 'SelectionsPageDetails',
  components: {
    ProductCard,
  },
  validate({ params, store }) {
    return params.slug in store.getters['sitemap/slugMap'].selections
  },
  async asyncData({ store, params }) {
    const selection = await store.dispatch(
      'products/fetchSelection',
      store.getters['sitemap/slugMap'].selections[params.slug]
    )
    store.commit(TypesGlobal.mutations.SET_TITLE, selection.name)
    return selection
  },
  head() {
    return {
      title: this.name,
    }
  },
  methods: {
    createCrumbs(match) {
      if (match.params?.slug) {
        return this.name
      }
      return match.meta
    },
  },
}
</script>
